halapi hierarchichalalignmentformatapi

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Static Protected Attributes
hal::HDF5MetaData Class Reference

`#include <hdf5MetaData.h>`

Inheritance diagram for hal::HDF5MetaData:

List of all members.

## Public Member Functions
| HDF5MetaData (H5::CommonFG *parent, const std::string &name)
void | set (const std::string &key, const std::string &value)
const std::string & | get (const std::string &key) const
bool | has (const std::string &key) const
const std::map< std::string, std::string > & | getMap () const
void | write ()
void | open (H5::CommonFG *parent, const std::string &name)
## Protected Attributes
H5::CommonFG * | _parent
H5::Group | _group
std::map< std::string, std::string > | _map
bool | _dirty
std::string | _name
## Static Protected Attributes
static const std::string | MetaGroupName

## Detailed Description

HDF5 string map used for general metadata

## Member Function Documentation

const string & HDF5MetaData::get | ( | const std::string & | key | ) | const`[virtual]`

Get the value associated with a key (throws error if key doesn't exist)

Parameters:

  key | MetaData key

Implements hal::MetaData.

const map< string, string > & HDF5MetaData::getMap | ( |  | ) | const`[virtual]`

Get read-only reference to the map of metadat

Implements hal::MetaData.

bool HDF5MetaData::has | ( | const std::string & | key | ) | const`[virtual]`

Determine if key exists in metadata

Parameters:

  key | Key to test

Implements hal::MetaData.

void hal::HDF5MetaData::set | ( | const std::string & | key,
|  | const std::string & | value
| ) |  | `[virtual]`

Set a key-value pair (create's if doesn't exist, updates if does)

Parameters:

  key | Key to update
  value | Value to update

Implements hal::MetaData.

The documentation for this class was generated from the following files:

- hdf5_impl/hdf5MetaData.h
- hdf5_impl/hdf5Alignment.cpp
- hdf5_impl/hdf5MetaData.cpp

All Classes Namespaces Functions Variables Friends